### Name: mk.its.exceedances.vector
### Title: Extract Exceedances over Threshold into Irregular Time Series
###   for Plotting when Input is Vector
### Aliases: mk.its.exceedances.vector
### Keywords: methods ts

### ** Examples

## Not run: 
##D #In this example, a simulated data series tdata was 
##D #generated using parameters derived from fitting a timeSeries 
##D #for the SP500 index called rseries over a specified period. 
##D #tdata was randomly generated from the t-distribution using 
##D #parameters estimated from the actual SP500 time series of data 
##D #returns (log differences). Thus tdata is a VECTOR (one column) 
##D #rather than a timeSeries or matrix.  If you have a matrix, pass 
##D #only the single column you want to analyze. 
##D #set threshold so we have 50 observations above threshold from tdata.
##D kval <- 50;
##D upper <- findthreshold(tdata,kval); 
##D #Create an its (irregular time series) associated with observations 
##D #above threshold upper. We pass the simulated data vector tdata, 
##D #the dates (positions slot) from a separate timeseries over the same 
##D #period for which we are considering the simulated data, 
##D #and the threshold value for our data vector. 
##D itsSample <- mk.its.exceedances.vector(tdata,rseries@positions,upper); 
##D #Plot the irregular time series of exceedances 
##D plot(itsSample,type="h", main="Clustering Evidence-Simulated t data",
##D    ylab="Large Returns"); 
## End(Not run)



